MKOVA(1)

NAME
mkova - Legacy way to create Open Virtual Appliance (OVA) templates with configurable hardware options

SYNOPSIS
mkova [options] OVA_NAME TEMPLATE_OR_HW VMDK_FILES...

DESCRIPTION
mkova is a helper script that creates Open Virtual Appliances (OVAs) based on predefined OVF templates and virtual disk files (.vmdk).

By default, the OVA will be created with:

•   2 CPUs

•   1024 MB memory

•   EFI firmware (for hardware version ≥ 11)

These defaults can be changed using command line options or environment variables.

OPTIONS

--num-cpusN
    Number of CPUs to assign to the OVA template. Default: 2

--mem-size N
    Memory size in MB for the OVA template. Default: 1024

--firmware {efi|bios}
    Firmware type for the OVA template. Default: efi For hardware versions 7 and 10, only bios is supported.

--h N
    Specify the hardware version to use. If omitted, the latest available template is used.

--template PATH
    Specify the path to a specific OVF template file.

--ovf
    Create only the unpacked OVF directory instead of a full OVA archive.

ENVIRONMENT
The following environment variables can override defaults:

NUM_CPUS
    Default number of CPUs.

MEM_SIZE
    Default memory size in MB.

FIRMWARE
    Default firmware (efi or bios).

Values from these variables can be defined in /etc/open-vmdk.conf.

EXAMPLES

Create an OVA with specific hardware version and custom resources:
        $ mkova --num-cpus 4 --mem-size 4096 --firmware bios --hw 20 ova_name disk1.vmdk

Create an OVA using a specific template file:
        $ mkova --num-cpus 4 --mem-size 4096 --firmware bios \
          --template /usr/share/open-vmdk/template-hw20.ovf \
          ova_name disk1.vmdk

Create an unpacked OVF directory instead of a .ova archive:
        $ mkova --ovf ova_name template-hw20.ovf disk1.vmdk

Create an OVA with multiple disks:
        $ mkova ova_name template-hw20.ovf disk1.vmdk disk2.vmdk disk3.vmdk

    At most 15 disks can be added per OVA.

FILES

/etc/open-vmdk.conf
    Optional configuration file. Shell-style definitions of default parameters:
        NUM_CPUS=2
        MEM_SIZE=1024
        FIRMWARE=efi

/usr/share/open-vmdk/
    Contains OVF templates for various hardware versions:
        template-hw7.ovf
        template-hw10.ovf
        template-hw11.ovf
        template-hw13.ovf
        template-hw14.ovf
        template-hw15.ovf
        template-hw17.ovf
        template-hw18.ovf
        template-hw19.ovf
        template-hw20.ovf

SEE ALSO
vmdk-convert (1), ova-compose (1), ovfenv (1)

AUTHOR
Written by Mégane Vilain for the Debian project.

COPYRIGHT
Copyright (C) 2025 Mégane Vilain. Licensed under the Apache License, Version 2.0.